Name:           kawa
Epoch:          1
Version:        2.0
Release:        2%{?dist}
Summary:        Kawa scheme implementation
License:        MIT
URL:            http://www.gnu.org/software/kawa/
Source0:        http://ftp.gnu.org/gnu/kawa/kawa-%{version}.tar.gz
BuildRequires:  ant
BuildRequires:  antlr
BuildRequires:  groff
BuildRequires:  java-devel >= 1:1.7.0
BuildRequires:  libtool
BuildRequires:  ncurses-devel
BuildRequires:  readline-devel
BuildRequires:  servlet3
BuildRequires:  texinfo
BuildRequires:  util-linux-ng
Requires:       servlet3
Requires:       java-headless
Requires(post): info
Requires(preun): info

%description
Kawa is an implementation of the Scheme programming language.  It is
implemented in Java, and compiles Scheme into Java byte-codes.  It
also includes an XQuery implementation, accessible via the qexo
script.

%package        javadoc
Summary:        Javadoc for %{name}
BuildArch:      noarch
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils

%description    javadoc
%{summary}.

%prep
%setup -q

%build
%configure --enable-kawa-frontend \
           --with-java-source=1.7.0 \
           --with-servlet=$(build-classpath tomcat-servlet-3.0-api) \
           --with-libtool
export CLASSPATH=$(build-classpath servlet antlr)
make

# Override the Makefile for generating kawa.1, since it should be
# unformatted man page source.
cp -p doc/kawa.man doc/kawa.1
cp -p doc/qexo.man doc/qexo.1

%install
%make_install install-javadoc-html JAVA=%{_bindir}/java JAVADOC_DIR=%{buildroot}%{_javadocdir}/%{name}
rm -frv %{buildroot}%{_infodir}/dir
#rm %{buildroot}%{_datadir}/java/kawa.jar
#mv %{buildroot}%{_datadir}/java/kawa*.jar %{buildroot}%{_datadir}/java/kawa.jar
cp -p bin/cgi-servlet %{buildroot}%{_bindir}/cgi-servlet

%check
#make check

%post
install-info %{_infodir}/kawa.info.gz %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
  install-info --delete %{_infodir}/kawa.info.gz %{_infodir}/dir
fi

%files
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/cgi-servlet
%{_bindir}/kawa
%{_bindir}/qexo
%{_datadir}/java/kawa*.jar
%{_mandir}/man1/kawa.1*
%{_mandir}/man1/qexo.1*
%{_infodir}/kawa*

%files javadoc
%doc %{_javadocdir}/%{name}

%changelog
* Sat Feb 21 2015 Mosaab Alzoubi <moceap@hotmail.com> - 1:2.0-2
- Repair unable to launch by reverting fixing #1022128

* Sat Feb 21 2015 Mosaab Alzoubi <moceap@hotmail.com> - 1:2.0-1
- Update to 2.0
- Remove version of Jar file #1022128
- Manual cgi-servlet install

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 26 2014 Christopher Meng <rpm@cicku.me> - 1:1.14-2
- Minor cleanup, explicitly requires java.

* Thu Jun 19 2014 Christopher Meng <rpm@cicku.me> - 1:1.14-1
- Update to 1.14

* Mon Sep 23 2013 Christopher Meng <rpm@cicku.me> - 1:1.13-1
- Update to 1.13

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.11-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 23 2011 Alexander Kurtakov <akurtako@redhat.com> 1:1.11-2
- BR java 1.6.0.

* Wed Mar 23 2011 Alexander Kurtakov <akurtako@redhat.com> 1:1.11-1
- Update to new upstream version.
- Drop gcj bits.
- Adapt to current guidelines.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.9.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.9.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.9.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 12 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1:1.9.1-7
- Requires in -javadoc subpackage needs epoch

* Mon Nov 10 2008 Anthony Green <green@redhat.com> - 1:1.9.1-6
- The -javadoc package should Require the main package. (#451861)

* Thu Feb 28 2008 Anthony Green <green@redhat.com> - 1:1.9.1-5
- BuildRequire util-linux-ng.

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1:1.9.1-4
- Autorebuild for GCC 4.3

* Mon Oct 15 2007 Anthony Green <green@redhat.com> - 1:1.9.1-3
- Don't build with icedtea, as it's not portable.
- Build .class files with gcj to work around ecj bug.

* Mon Oct 15 2007 Anthony Green <green@redhat.com> - 1:1.9.1-2
- Oops.  Change %%License to MIT.

* Mon Oct 15 2007 Anthony Green <green@redhat.com> - 1:1.9.1-1
- BuildRequire java-1.7.0-icedtea-devel, since that's what we'll build
  with now.
- Upgrade to 1.9.1.
- Change %%License to BSD.

* Mon Jan 22 2007 Anthony Green <green@redhat.com> - 1:1.9.0-2
- BuildRequire libtool.

* Mon Jan 22 2007 Anthony Green <green@redhat.com> - 1:1.9.0-1
- Upgrade to 1.9.0.

* Thu Oct 05 2006 Anthony Green <green@redhat.com> - 1:1.8-11
- Add antlr to classpath for gjdoc.

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.8-10
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Mon Sep 18 2006 Anthony Green <green@redhat.com> - 1:1.8-9
- Fix release tag.

* Mon Sep 18 2006 Anthony Green <green@redhat.com> - 1:1.8-8.2
- Rebuild.

* Wed Aug 30 2006 Anthony Green <green@redhat.com> - 1:1.8-8.1
- Rebuild with new aot-compile-rpm

* Mon Jul 31 2006 Anthony Green <green@redhat.com> - 1:1.8-8
- Add ncurses-devel BuildRequires.

* Tue Jul 25 2006 Anthony Green <green@redhat.com> - 1:1.8-7
- Rebuild with new compiler.

* Wed Jul 19 2006 Anthony Green <green@redhat.com> - 1:1.8-6
- Rebuild with new compiler.

* Thu Feb  9 2006 Anthony Green <green@redhat.com> - 1:1.8-5
- Add groff build requirement for man page processing.

* Thu Feb  9 2006 Anthony Green <green@redhat.com> - 1:1.8-4
- Rebuild with new 4.1 compiler (post ABI change).

* Mon Nov 14 2005 Anthony Green <green@redhat.com> - 1:1.8-3
- Rebuild with GCC 4.1.

* Sat Oct  8 2005 Anthony Green <green@redhat.com> - 1:1.8-1
- Upgrade to 1.8.
- Add qexo man page.
- Use an epoch because previous releases had bad names that confuse RPM.  My bad.

* Wed Sep 28 2005 Anthony Green <green@redhat.com> - 1.8rc2-1
- Upgrade to 1.8 rc2.

* Sun Sep 11 2005 Anthony Green <green@redhat.com> - 1.8beta-5
- Remove Requires for realine.  This is handled automagically.
- Remove ldconfig.

* Sun Sep 11 2005 Anthony Green <green@redhat.com> - 1.8beta-4
- Install unformatted man page source.
- Remove BuildRequires groff.
- Force kawa binary to use /usr/bin/java.
- Add javadoc package.
- Happy birthday, spec file!

* Sat Sep 10 2005 Anthony Green <green@redhat.com> - 1.8beta-3
- Add BuildRequires for groff and readline-devel.
- Add Requires for readline.
- Configure with --enable-kawa-frontend.

* Sat Sep 10 2005 Anthony Green <green@redhat.com> - 1.8beta-2
- Add BuildRequires for ant, texinfo and servletapi5.
- Add Requires for servletapi5.
- Add servletapi5.jar to classpath.

* Wed Sep  7 2005 Anthony Green <green@redhat.com> - 1.8beta-1
- Updgrade to 1.8beta

* Wed Sep  7 2005 Anthony Green <green@redhat.com> - 1.7-2
- Build for Fedora Extras.

* Sat Sep 11 2004 Anthony Green <green@spindazzle.org> - 1.7-1
- Initial build.
